<div class="perfil" *ngIf="route.children.length === 0">
    <div class="back">
        <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
    </div>
    <div class="row">
        <div id="full-list" class="col-md-12">
            <!-- <ng2-smart-table [settings]="settings" [source]="data"></ng2-smart-table> -->

            <ul class="listagem-card">
                <li id="projetoxx" class="card" *ngFor="let projeto of _listaProjetosService.listaProjeto | paginate: { itemsPerPage: 5, currentPage: p }">
                    <div class="card-header">
                        <div *ngIf="projeto.Validado; else elseBlock" class="notification success">
                            <i class="fas fa-check-circle"></i>
                        </div>
                        <ng-template #elseBlock>
                            <div class="notification error">
                                <i class="fas fa-exclamation-circle"></i>
                            </div>
                        </ng-template>
                        <h5>Projeto {{ projeto?.Projeto }}</h5>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p>Protocolo: <span id="situacao">{{ projeto.Protocolo }}</span></p>
                            <p>Ensino: <span id="situacao">{{ projeto.TipoAluno }}</span></p>
                            <p>Situação: <span id="situacao">{{ projeto.Situacao }}</span></p>
                            <hr class="mb-4">
                            <div class="group-info group-aluno">
                                <p>Nome: <span id="nome-aluno">{{ projeto.Aluno }}</span></p>
                                <p><span class="italic">E-mail</span>: <span id="email-aluno">{{ projeto.Email }}</span></p>
                                <p>RA: <span id="numero-funcional">{{ projeto.Ra }}</span></p>
                                <p>Submissão: <span id="data-submissao">{{projeto.DataSubmissao | myDate | date:"dd/MM/yyyy"}}</span></p>
                            </div>
                            <hr class="mb-4">

                            <div class="group-info group-orientador">
                                <p>Curso: <span id="curso">{{ projeto.Curso }}</span></p>
                                <p>Turma: <span id="turma">{{ projeto.Turma }}</span></p>
                                <p>Campus: <span id="campus">{{ projeto.Campus }}</span></p>
                            </div>
                            <hr class="mb-4">
                            <div class="group-info group-orientador">
                                <p>Orientador(a): <span id="nome-orientador">{{ projeto.Orientador }}</span></p>
                                <p><span class="italic">E-mail</span> Orientador(a): <span
                                        id="email-orientador">{{ projeto.EmailOrientador }}</span></p>
                            </div>
                            <hr class="mb-4">
                        </div>
                        <a routerLink="/lista-projetos/{{ projeto.Protocolo }}"
                            class="btn btn-link btn-primary">Visualizar projeto</a>
                    </div>
                </li>
            </ul>
            <pagination-controls (pageChange)="p = $event"
            maxSize="9"
            directionLinks="true"
            autoHide="true"
            responsive="true"
            previousLabel="Anterior"
            nextLabel="Próximo"
            screenReaderPaginationLabel="Paginação"
            screenReaderPageLabel="Página"
            screenReaderCurrentLabel="Você está na página."
            ></pagination-controls>
        </div>
    </div>
</div>

<router-outlet></router-outlet>